---
title: 'Get loyalty account streaks'
description: 'Get loyalty account streaks'
openapi: GET /api/loyalty/account_streaks
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/loyalty/account_streaks` — query parameters: `websiteId`, `organizationId`, `userGroupId`, `userId`, `walletAddress`, `loyaltyRuleId`, `startingAfter`, `limit`

`GET https://admin.snagsolutions.io/api/loyalty/account_streaks`

Get loyalty account streaks

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Query parameters

- `websiteId` (string) — Unique identifier for the website
- `organizationId` (string) — Unique identifier for the organization
- `userGroupId` (string) — Unique identifier for the user group
- `userId` (string) — User id to filter by
- `walletAddress` (string) — Wallet address to filter by
- `loyaltyRuleId` (string, required) — Loyalty rule id(s) to filter by, array or single id
- `startingAfter` (string) — Pagination cursor to start after a specific resource ID
- `limit` (number) — Maximum number of records to return (max 1000)

## Response 200

200
  - response (array) — Response schema for getting loyalty account streaks, null if no streak
    - `items` (object) — Response schema for getting loyalty account streaks, null if no streak
      - `id` (string, uuid) — ID of the loyalty account streak, null if no streak yet
      - `createdAt` (string, required) — Date and time the streak was created, null if no streak yet
      - `updatedAt` (string, required) — Date and time the streak was last updated, null if no streak yet
      - `expiresAt` (string, required) — Date and time the streak expires, null if no streak yet
      - `streakCount` (number, required) — Number of days in the streak, 0 if no streak
      - `userId` (string, uuid, required)
      - `loyaltyRuleId` (string, uuid, required)
      - `walletAddress` (string, required)
      - `milestone` (array, required)
        - `items` (object)
          - `streakMilestone` (number, required)
          - `streakAmount` (number, required)

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 404

404
  - response (object) — Schema for not found response
    - `message` (string, required) — Error message

## Response 405

405
  - response (object) — Schema for method not allowed response
    - `message` (string, required) — Error message

## Response 429

429
  - response (object) — Schema for too many request response
    - `message` (string, required) — Error message


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
